#include<iostream>
#include<time.h>

using namespace std;

void getNamesFromUser(char names[][25], int& nameCount);
void sortNames(char names[][25], int nameCount);
void displayNames(char names[][25], int nameCount);

void main()
{
	char names[20][25];
	int nameCount = 0;

	getNamesFromUser(names, nameCount);
	sortNames(names, nameCount);
	displayNames(names, nameCount);
}

void getNamesFromUser(char names[][25], int& nameCount)
{
	nameCount = 0;
	char name[25];
	do
	{
		cout << "Name? ";
		cin.getline(name, 25);
		if (_stricmp(name, "QUIT") != 0)
		{
			strcpy_s(names[nameCount], 25, name);
			nameCount++;
		}

	} while (_stricmp(name, "QUIT") != 0);
}
void sortNames(char names[][25], int nameCount)
{
	for (int i = 0; i < nameCount - 1; i++)
	{
		//find the smallest item in the unsorted part of the list
		//and move it to index i
		int indexOfSmallest = i;
		for (int j = i; j < nameCount; j++)
		{
			if (_stricmp(names[j], names[indexOfSmallest]) < 0)
			{
				indexOfSmallest = j;
			}
		}
		char tempName[25];
		strcpy_s(tempName, 25, names[i]);
		strcpy_s(names[i], 25, names[indexOfSmallest]);
		strcpy_s(names[indexOfSmallest], 25, tempName);
	}
}
void displayNames(char names[][25], int nameCount)
{
	for (int i = 0; i < nameCount; i++)
	{
		cout << i + 1 << ". " << names[i] << endl;
	}
}
